﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;


namespace testSample
{
    public partial class MainPage
    {
        private const Int32 BXL_SUCCESS = 0;

        private const Int32 BXL_NOT_OPENED = -101;
        private const Int32 BXL_CREATE_ERROR = -102;
        private const Int32 BXL_STATUS_ERROR = -103;
        private const Int32 BXL_WATING_OPEN = -104;
        private const Int32 BXL_CONNECT_ERROR = -105;
        private const Int32 BXL_BDADDR_ERROR = -106;
        private const Int32 BXL_NOT_SUPPORT = -107;
        private const Int32 BXL_BAD_ARGUMENT = -108;
        private const Int32 BXL_BUFFER_ERROR = -109;
        private const Int32 BXL_MSRCHECK_ERROR = -110;

        private const Int32 BXL_WRITE_ERROR = -300;
        private const Int32 BXL_READ_ERROR = -301;

        private const Int32 BXL_BC_DATA_ERROR = -500;
        private const Int32 BXL_BC_NOT_SUPPORT = -501;

        private const Int32 BXL_MSR_FAILEDMODE = -601;
        private const Int32 BXL_MSR_NOTREADY = -602;
        private const Int32 BXL_MSR_DATAEMPTY = -603;

        private const Int32 BXL_SCR_RESPONSE_ERR = -700;

        private const Int32 BXL_FT_DEFAULT = 0;
        private const Int32 BXL_FT_FONTB = 1;
        private const Int32 BXL_FT_FONTC = 16; //2009.11.28 ±è»óÁØ : Æé½ÃÄÝ¶ó ÇÁ·ÎÁ§Æ® ÄÚµå Ãß°¡ 
        private const Int32 BXL_FT_BOLD = 2;
        private const Int32 BXL_FT_UNDERLINE = 4;
        private const Int32 BXL_FT_UNDERTHICK = 6;
        private const Int32 BXL_FT_REVERSE = 8;
        private const Int32 BXL_FT_UPSIDEDOWN = 10;
        private const Int32 BXL_ExFT_CHINA_FONTA = 0; //2009.11.30 ±è»óÁØ : Æé½ÃÄÝ¶ó ÇÁ·ÎÁ§Æ® Áß±¹ ÆùÆ® ¼±ÅÃ Ãß°¡
        private const Int32 BXL_ExFT_CHINA_FONTB = 32;

        private const Int32 BXL_WIDTH_FULL = 1;
        private const Int32 BXL_WIDTH_NONE = 2;

        // Printer Status flag
        private const Int32 BXL_STS_NORMAL = 0;
        private const Int32 BXL_STS_PAPEREMPTY = 1;
        private const Int32 BXL_STS_COVEROPEN = 2;
        private const Int32 BXL_STS_MSR_READY = 8;
        private const Int32 BXL_STS_NOT_OPEN = 64;

        //Power Status
        public const Int32 BXL_PWR_FULL = 0;
        public const Int32 BXL_PWR_HIGH = 1;
        public const Int32 BXL_PWR_MIDDLE = 2;
        public const Int32 BXL_PWR_LOW = 3;

        // Barcode
        private const Int32 BXL_BCS_PDF417 = 200;
        private const Int32 BXL_BCS_QRCODE_MODEL2 = 202;
        private const Int32 BXL_BCS_QRCODE_MODEL1 = 203;
        private const Int32 BXL_BCS_DATAMATRIX = 204;
        private const Int32 BXL_BCS_MAXICODE_MODE2 = 205;
        private const Int32 BXL_BCS_MAXICODE_MODE3 = 206;
        private const Int32 BXL_BCS_MAXICODE_MODE4 = 207;

        private const Int32 BXL_BCS_UPCA = 101;
        private const Int32 BXL_BCS_UPCE = 102;
        private const Int32 BXL_BCS_EAN8 = 103;
        private const Int32 BXL_BCS_EAN13 = 104;
        private const Int32 BXL_BCS_JAN8 = 105;
        private const Int32 BXL_BCS_JAN13 = 106;
        private const Int32 BXL_BCS_ITF = 107;
        private const Int32 BXL_BCS_CODABAR = 108;
        private const Int32 BXL_BCS_CODE39 = 109;
        private const Int32 BXL_BCS_CODE93 = 110;
        private const Int32 BXL_BCS_CODE128 = 111;

        // Barcode text position
        private const Int32 BXL_BC_TEXT_NONE = 0;
        private const Int32 BXL_BC_TEXT_ABOVE = 1;
        private const Int32 BXL_BC_TEXT_BELOW = 2;

        // Text Size Attribute
        private const Int32 BXL_TS_0WIDTH = 0;
        private const Int32 BXL_TS_1WIDTH = 16;
        private const Int32 BXL_TS_2WIDTH = 32;
        private const Int32 BXL_TS_3WIDTH = 48;
        private const Int32 BXL_TS_4WIDTH = 64;
        private const Int32 BXL_TS_5WIDTH = 80;
        private const Int32 BXL_TS_6WIDTH = 96;
        private const Int32 BXL_TS_7WIDTH = 112;

        private const Int32 BXL_TS_0HEIGHT = 0;
        private const Int32 BXL_TS_1HEIGHT = 1;
        private const Int32 BXL_TS_2HEIGHT = 2;
        private const Int32 BXL_TS_3HEIGHT = 3;
        private const Int32 BXL_TS_4HEIGHT = 4;
        private const Int32 BXL_TS_5HEIGHT = 5;
        private const Int32 BXL_TS_6HEIGHT = 6;
        private const Int32 BXL_TS_7HEIGHT = 7;


        // Alignment Code
        private const Int32 BXL_ALIGNMENT_LEFT = 0;
        private const Int32 BXL_ALIGNMENT_CENTER = 1;
        private const Int32 BXL_ALIGNMENT_RIGHT = 2;


        private const Int32 BXL_PD_LEFT_TO_RIGHT = 48;
        private const Int32 BXL_PD_BOTTOM_TO_TOP = 49;
        private const Int32 BXL_PD_RIGHT_TO_LEFT = 50;
        private const Int32 BXL_PD_TOP_TO_BOTTOM = 51;

        //CharaterSet
        private const Int32 BXL_CS_PC437 = 0;
        private const Int32 BXL_CS_KATAKANA = 1;
        private const Int32 BXL_CS_PC850 = 2;
        private const Int32 BXL_CS_PC860 = 3;
        private const Int32 BXL_CS_PC863 = 4;
        private const Int32 BXL_CS_PC865 = 5;
        private const Int32 BXL_CS_WPC1252 = 16;
        private const Int32 BXL_CS_PC866 = 17;
        private const Int32 BXL_CS_PC852 = 18;
        private const Int32 BXL_CS_PC858 = 19;
        private const Int32 BXL_CS_PC864 = 22;
        private const Int32 BXL_CS_PC874 = 23;
        private const Int32 BXL_CS_WPC1253 = 24;
        private const Int32 BXL_CS_WPC1254 = 25;
        private const Int32 BXL_CS_WPC1257 = 26;
        private const Int32 BXL_CS_FARSI = 27;
        private const Int32 BXL_CS_WPC1251 = 28;
        private const Int32 BXL_CS_PC737 = 29;
        private const Int32 BXL_CS_PC775 = 30;
        private const Int32 BXL_CS_THAI14 = 31;
        private const Int32 BXL_CS_PC862 = 33;
        private const Int32 BXL_CS_PC855 = 36;
        private const Int32 BXL_CS_PC857 = 37;
        private const Int32 BXL_CS_PC928 = 38;
        private const Int32 BXL_CS_THAI16 = 39;
        private const Int32 BXL_CS_WPC1256 = 40;
        private const Int32 BXL_CS_PC1258 = 41;
        private const Int32 BXL_CS_KHMER = 42;
        private const Int32 BXL_CS_PC1250 = 47;
        private const Int32 BXL_CS_USER = 255;

        //International CharacterSet
        private const Int32 BXL_ICS_USA = 0;
        private const Int32 BXL_ICS_FRANCE = 1;
        private const Int32 BXL_ICS_GERMANY = 2;
        private const Int32 BXL_ICS_UK = 3;
        private const Int32 BXL_ICS_DENMARK1 = 4;
        private const Int32 BXL_ICS_SWEDEN = 5;
        private const Int32 BXL_ICS_ITALY = 6;
        private const Int32 BXL_ICS_SPAIN = 7;
        private const Int32 BXL_ICS_NORWAY = 9;
        private const Int32 BXL_ICS_DENMARK2 = 10;
        private const Int32 BXL_ICS_SPAIN2 = 11;
        private const Int32 BXL_ICS_LATIN = 12;
        private const Int32 BXL_ICS_KOREA = 13;

        // SCR
        private const Int32 BXL_SCR_MODE_APDU = 0;
        private const Int32 BXL_SCR_MODE_TPDU = 1;

        private const Int32 BXL_SCR_STS_1_8V = 0x00;
        private const Int32 BXL_SCR_STS_5V = 0x01;
        private const Int32 BXL_SCR_STS_3V = 0x02;
        private const Int32 BXL_SCR_STS_POWERED = 0x04;
        private const Int32 BXL_SCR_STS_INSERTED = 0x08;

        private const Int32 BXL_SCR_SMARTCARD = 0x30;
        private const Int32 BXL_SCR_SAM1 = 0x31;
        private const Int32 BXL_SCR_SAM2 = 0x32;
    }
}
